View Issue Details

IDProjectCategoryView StatusLast Update
0004198TechDraw[FreeCAD] Bugpublic2019-12-11 11:57
ReporterSpeakerToMeat Assigned Towandererfan  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.18 
Target VersionFixed in Version[FreeCAD] 0.19 
Summary0004198: Deleting a subsection's figure while creating the subsection causes a crash
DescriptionDeleting the figure/object on a subsection on TechDraw while the subsection is being created causes the dialog to stick in a loop and eventually a crash in FC.

I attach a log created during a test session.

More on this forum post: https://forum.freecadweb.org/viewtopic.php?f=35&t=41042
Steps To Reproduce* Create any part (a cube works) or load a file with any part you can select to add a view in TechDraw
* Select the view in tech draw and start the creation of a section
* If you don't have a section already showing on the page at this stage just hit a viewing direction to get one (if you have one this is not needed).
* Select the object inside the view, and hit the delete key, to delete it. You get a warning at breaking the page. Accept the delete.
* Now on the Section creation dialog Reset works, but Ok and Cancel do not, giving this error: Unhandled std::exception caught in GUIApplication::notify. The error message is: basic_string::_M_construct null not valid
* The only way to exit this loop is to click on one of the view selectors again which will cause FC to crash.
TagsNo tags attached.
FreeCAD InformationOS: Debian GNU/Linux 10 (buster)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.
Build type: Release
Python version: 2.7.16rc1
Qt version: 5.11.3
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)

Activities

SpeakerToMeat

2019-11-20 17:24

reporter  

crash-log.txt (15,857 bytes)
Msg: FreeCAD 0.18, Libs: 0.18R
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2019
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

Log: Time = Wed Nov 20 13:18:34 2019
Log: AppDataSkipVendor = true
Log: AppHomePath = /usr/lib/freecad/
Log: AppIcon = freecad
Log: AppTempPath = /tmp/
Log: BinPath = /usr/lib/freecad/bin/
Log: BuildRepositoryURL = https://code.launchpad.net/~vcs-imports/freecad/trunk
Log: BuildRevision = 
Log: BuildRevisionDate = 2019/03/02 14:33:57
Log: BuildVersionMajor = 0
Log: BuildVersionMinor = 18
Log: Console = 0
Log: CopyrightInfo = © Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2019
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##


Log: Debug = 0
Log: DocPath = /usr/lib/freecad/doc/
Log: ExeName = FreeCAD
Log: ExeVendor = FreeCAD
Log: ExeVersion = 0.18
Log: LoggingFile = 1
Log: LoggingFileName = crash-log.txt
Log: MaintainerUrl = http://www.freecadweb.org/wiki/Main_Page
Log: PATH = /home/lars/.pyenv/plugins/pyenv-virtualenv/shims:/home/lars/.pyenv/shims:/home/lars/.pyenv/bin:/home/lars/bin:/home/lars/.pyenv/plugins/pyenv-virtualenv/shims:/home/lars/.pyenv/shims:/home/lars/.pyenv/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/snap/bin:/home/lars/.dotnet/tools:/home/lars/DCP/digital_cinema_tools:/home/lars/workspace/DRG/KDM-Tools:/home/lars/Android/Sdk/tools:/home/lars/Android/Sdk/platform-tools:/home/lars/scripts
Log: PYTHONPATH = 
Log: PythonSearchPath = :/usr/lib/python2.7:/usr/lib/python2.7/plat-x86_64-linux-gnu:/usr/lib/python2.7/lib-tk:/usr/lib/python2.7/lib-old:/usr/lib/python2.7/lib-dynload
Log: RunMode = Gui
Log: SplashAlignment = Bottom|Left
Log: SplashInfoColor = #c8c8c8
Log: SplashScreen = freecadsplash
Log: SplashTextColor = #ffffff
Log: StartWorkbench = StartWorkbench
Log: SystemParameter = /home/lars/.FreeCAD/system.cfg
Log: UserAppData = /home/lars/.FreeCAD/
Log: UserHomePath = /home/lars
Log: UserParameter = /home/lars/.FreeCAD/user.cfg
Log: Verbose = 
Log: Create Application
Log: Run App init script
Log: Init: starting App::FreeCADInit.py
Log: Init:   Searching for modules...
Log: Init:      Initializing /usr/share/freecad/Mod/Sketcher... done
Log: Init:      Initializing /usr/share/freecad/Mod/ReverseEngineering... done
Log: Init:      Initializing /usr/share/freecad/Mod/Show(Init.py not found)... ignore
Log: Init:      Initializing /usr/share/freecad/Mod/Image... done
Log: Init:      Initializing /usr/share/freecad/Mod/Surface... done
Log: Init:      Initializing /usr/share/freecad/Mod/PartDesign... done
Log: Init:      Initializing /usr/share/freecad/Mod/Measure... done
Log: Init:      Initializing /usr/share/freecad/Mod/Ship(Init.py not found)... ignore
Log: Init:      Initializing /usr/share/freecad/Mod/Web... done
Log: Init:      Initializing /usr/share/freecad/Mod/MeshPart... done
Log: Init:      Initializing /usr/share/freecad/Mod/OpenSCAD... done
Log: Init:      Initializing /usr/share/freecad/Mod/Fem... done
Log: Init:      Initializing /usr/share/freecad/Mod/Spreadsheet... done
Log: Init:      Initializing /usr/share/freecad/Mod/Start... done
Log: Init:      Initializing /usr/share/freecad/Mod/AddonManager... done
Log: Init:      Initializing /usr/share/freecad/Mod/Draft... done
Log: Init:      Initializing /usr/share/freecad/Mod/Test... done
Log: Init:      Initializing /usr/share/freecad/Mod/Import... done
Log: Init:      Initializing /usr/share/freecad/Mod/TechDraw... done
Log: Init:      Initializing /usr/share/freecad/Mod/Tux(Init.py not found)... ignore
Log: Init:      Initializing /usr/share/freecad/Mod/Complete... done
Log: Init:      Initializing /usr/share/freecad/Mod/Plot(Init.py not found)... ignore
Log: Init:      Initializing /usr/share/freecad/Mod/Material... done
Log: Init:      Initializing /usr/share/freecad/Mod/Mesh... done
Log: Init:      Initializing /usr/share/freecad/Mod/Raytracing... done
Log: Init:      Initializing /usr/share/freecad/Mod/Part... done
Log: Init:      Initializing /usr/share/freecad/Mod/Path... done
Log: Init:      Initializing /usr/share/freecad/Mod/Arch... done
Log: Init:      Initializing /usr/share/freecad/Mod/Robot... done
Log: Init:      Initializing /usr/share/freecad/Mod/Points... done
Log: Init:      Initializing /usr/share/freecad/Mod/Idf... done
Log: Init:      Initializing /usr/share/freecad/Mod/Inspection... done
Log: Init:      Initializing /usr/share/freecad/Mod/Drawing... done
Log: Using /usr/share/freecad/Mod as module path!
Log: System path after init:
Log:    /usr/lib/freecad/bin
Log:    /usr/share/freecad/Mod/Sketcher
Log:    /usr/share/freecad/Mod/ReverseEngineering
Log:    /usr/share/freecad/Mod/Show
Log:    /usr/share/freecad/Mod/Image
Log:    /usr/share/freecad/Mod/Surface
Log:    /usr/share/freecad/Mod/PartDesign
Log:    /usr/share/freecad/Mod/Measure
Log:    /usr/share/freecad/Mod/Ship
Log:    /usr/share/freecad/Mod/Web
Log:    /usr/share/freecad/Mod/MeshPart
Log:    /usr/share/freecad/Mod/OpenSCAD
Log:    /usr/share/freecad/Mod/Fem
Log:    /usr/share/freecad/Mod/Spreadsheet
Log:    /usr/share/freecad/Mod/Start
Log:    /usr/share/freecad/Mod/AddonManager
Log:    /usr/share/freecad/Mod/Draft
Log:    /usr/share/freecad/Mod/Test
Log:    /usr/share/freecad/Mod/Import
Log:    /usr/share/freecad/Mod/TechDraw
Log:    /usr/share/freecad/Mod/Tux
Log:    /usr/share/freecad/Mod/Complete
Log:    /usr/share/freecad/Mod/Plot
Log:    /usr/share/freecad/Mod/Material
Log:    /usr/share/freecad/Mod/Mesh
Log:    /usr/share/freecad/Mod/Raytracing
Log:    /usr/share/freecad/Mod/Part
Log:    /usr/share/freecad/Mod/Path
Log:    /usr/share/freecad/Mod/Arch
Log:    /usr/share/freecad/Mod/Robot
Log:    /usr/share/freecad/Mod/Points
Log:    /usr/share/freecad/Mod/Idf
Log:    /usr/share/freecad/Mod/Inspection
Log:    /usr/share/freecad/Mod/Drawing
Log:    /home/lars/.pyenv/plugins/pyenv-virtualenv/shims
Log:    /home/lars/.pyenv/shims
Log:    /home/lars/.pyenv/bin
Log:    /home/lars/bin
Log:    /home/lars/.pyenv/plugins/pyenv-virtualenv/shims
Log:    /home/lars/.pyenv/shims
Log:    /home/lars/.pyenv/bin
Log:    /usr/local/bin
Log:    /usr/bin
Log:    /bin
Log:    /usr/local/games
Log:    /usr/games
Log:    /snap/bin
Log:    /home/lars/.dotnet/tools
Log:    /home/lars/DCP/digital_cinema_tools
Log:    /home/lars/workspace/DRG/KDM-Tools
Log:    /home/lars/Android/Sdk/tools
Log:    /home/lars/Android/Sdk/platform-tools
Log:    /home/lars/scripts
Log: Init: App::FreeCADInit.py done
Log: Init: Creating Gui::Application and QApplication
Log: Local server 'FreeCAD' started
Log: OpenGL version is: 4.6 (4.6.0 NVIDIA 418.74)
Log: Run Gui init script
Log: Init: Running FreeCADGuiInit.py start script...
Log: Init:   Searching modules...
Log: Init:      Initializing /usr/share/freecad/Mod/Sketcher... done
Log: Init:      Initializing /usr/share/freecad/Mod/ReverseEngineering... done
Log: Init:      Initializing /usr/share/freecad/Mod/Show(InitGui.py not found)... ignore
Log: Init:      Initializing /usr/share/freecad/Mod/Image... done
Log: Init:      Initializing /usr/share/freecad/Mod/Surface... done
Log: Init:      Initializing /usr/share/freecad/Mod/PartDesign... done
Log: Init:      Initializing /usr/share/freecad/Mod/Measure(InitGui.py not found)... ignore
Log: Init:      Initializing /usr/share/freecad/Mod/Ship... done
Log: Init:      Initializing /usr/share/freecad/Mod/Web... done
Log: Init:      Initializing /usr/share/freecad/Mod/MeshPart... done
Log: Init:      Initializing /usr/share/freecad/Mod/OpenSCAD... done
Log: Init:      Initializing /usr/share/freecad/Mod/Fem... done
Log: Init:      Initializing /usr/share/freecad/Mod/Spreadsheet... done
Log: Init:      Initializing /usr/share/freecad/Mod/Start... done
Log: Init:      Initializing /usr/share/freecad/Mod/AddonManager... done
Log: Init:      Initializing /usr/share/freecad/Mod/Draft... done
Log: Init:      Initializing /usr/share/freecad/Mod/Test... done
Log: Init:      Initializing /usr/share/freecad/Mod/Import... done
Log: Init:      Initializing /usr/share/freecad/Mod/TechDraw... done
Log: Init:      Initializing /usr/share/freecad/Mod/Tux... done
Log: Init:      Initializing /usr/share/freecad/Mod/Complete... done
Log: Init:      Initializing /usr/share/freecad/Mod/Plot... done
Log: Init:      Initializing /usr/share/freecad/Mod/Material... done
Log: Init:      Initializing /usr/share/freecad/Mod/Mesh... done
Log: Init:      Initializing /usr/share/freecad/Mod/Raytracing... done
Log: Init:      Initializing /usr/share/freecad/Mod/Part... done
Log: Init:      Initializing /usr/share/freecad/Mod/Path... done
Log: Init:      Initializing /usr/share/freecad/Mod/Arch... done
Log: Init:      Initializing /usr/share/freecad/Mod/Robot... done
Log: Init:      Initializing /usr/share/freecad/Mod/Points... done
Log: Init:      Initializing /usr/share/freecad/Mod/Idf(InitGui.py not found)... ignore
Log: Init:      Initializing /usr/share/freecad/Mod/Inspection... done
Log: Init:      Initializing /usr/share/freecad/Mod/Drawing... done
Log: Init: Loading FreeCAD GUI
Log: Init: Running FreeCADGuiInit.py start script... done
Log: Init: Activating default workbench StartWorkbench
Log: Loading GUI of Web module... done
Log: Loading GUI of Start module... done
Log: Loading Start module... done
Log: Init: Showing main window
Log: Main window restored
Log: Show main window
Log: Toolbars restored
Log: Couldn't connect to spacenav daemon
Log: Init: Entering event loop
Log: Init: Processing command line files
Log: Module: Part
Log: Loading Part module... done
Log: Loading Sketcher module... done
Log: Loading PartDesign module... done
Log: Loading GUI of Part module... done
Log: Loading GUI of Sketcher module... done
Log: Loading GUI of PartDesign module... done
Log: Loading Inspection module... done
Log: Loading TechDraw module... done
Log: Loading TechDrawGui module... done
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Msg: Rebuilding Views for: Page/Page
Log: TIMING - View001 GO spent: 89.252 millisecs in HLRBRep_Algo & co
Log: TIMING - View001 GO spent: 5.016 millisecs in hlrToShape and BuildCurves
Log: TechDraw::GeometryObject::addGeomFromCompound edgeCompound is NULL
Log: TIMING - View001 DVP spent: 0.064 millisecs in GO::extractGeometry
Log: TIMING - View GO spent: 6.424 millisecs in HLRBRep_Algo & co
Log: TIMING - View GO spent: 0.144 millisecs in hlrToShape and BuildCurves
Log: TechDraw::GeometryObject::addGeomFromCompound edgeCompound is NULL
Log: TIMING - View DVP spent: 0.266 millisecs in GO::extractGeometry
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: INFO - ViewProviderPage::getMDIViewPage has no m_mdiView!
Log: TIMING - QGIVP::updateView - total 0.690 millisecs
Log: INFO - QGIVD::draw - no parent to update
Log: INFO - QGIVD::draw - no parent to update
Log: INFO - QGIVD::draw - no parent to update
Log: INFO - QGIVD::draw - no parent to update
Log: INFO - QGIVD::draw - no parent to update
Log: INFO - QGIVD::draw - no parent to update
Log: INFO - QGIVD::draw - no parent to update
Log: INFO - QGIVD::draw - no parent to update
Log: INFO - QGIVD::draw - no parent to update
Log: INFO - QGIVD::draw - no parent to update
Log: INFO - QGIVD::draw - no parent to update
Log: INFO - QGIVD::draw - no parent to update
Log: INFO - QGIVD::draw - no parent to update
Log: INFO - QGIVD::draw - no parent to update
Log: INFO - QGIVD::draw - no parent to update
Log: TIMING - QGIVP::updateView - total 4.575 millisecs
Log: TIMING - QGIVP::updateView - total 5.137 millisecs
Log: TIMING - QGIVP::updateView - total 4.871 millisecs
Msg: Log: TIMING - View GO spent: 6.559 millisecs in HLRBRep_Algo & co
Log: TIMING - View GO spent: 0.121 millisecs in hlrToShape and BuildCurves
Log: TechDraw::GeometryObject::addGeomFromCompound edgeCompound is NULL
Log: TIMING - View DVP spent: 0.074 millisecs in GO::extractGeometry
Log: TIMING - QGIVP::updateView - total 5.172 millisecs
Log: TIMING - Section GO spent: 4.427 millisecs in HLRBRep_Algo & co
Log: TIMING - Section GO spent: 0.097 millisecs in hlrToShape and BuildCurves
Log: TechDraw::GeometryObject::addGeomFromCompound edgeCompound is NULL
Log: TIMING - Section DVP spent: 0.054 millisecs in GO::extractGeometry
Log: TIMING - QGIVP::updateView - total 2.578 millisecs
crash-log.txt (15,857 bytes)

wandererfan

2019-12-05 01:48

manager   ~0013862

should be fixed by commit 85ba410276

wandererfan

2019-12-10 12:09

manager   ~0013894

closed

Kunda1

2019-12-11 11:55

administrator   ~0013900

Last edited: 2019-12-11 11:57

View 2 revisions

FreeCAD master 85ba4102

Edit: manually associated this ticket to the commit.

Related Changesets

FreeCAD: master 85ba4102

2019-11-26 01:42:54

wandererfan

Details Diff
[TD]Prevent crash when base view deleted

- happened during creation of DVSection
Affected Issues
0004198
mod - src/Mod/TechDraw/Gui/TaskSectionView.cpp Diff File
mod - src/Mod/TechDraw/Gui/TaskSectionView.h Diff File

Issue History

Date Modified Username Field Change
2019-11-20 17:24 SpeakerToMeat New Issue
2019-11-20 17:24 SpeakerToMeat File Added: crash-log.txt
2019-11-20 18:56 chrisb Project FreeCAD => TechDraw
2019-12-05 01:48 wandererfan Note Added: 0013862
2019-12-05 01:49 wandererfan Status new => resolved
2019-12-05 01:49 wandererfan Resolution open => fixed
2019-12-05 01:49 wandererfan Fixed in Version => 0.19
2019-12-05 01:49 wandererfan Description Updated View Revisions
2019-12-05 01:49 wandererfan Steps to Reproduce Updated View Revisions
2019-12-05 01:49 wandererfan FreeCAD Information OS: Debian GNU/Linux 10 (buster) Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.18. Build type: Release Python version: 2.7.16rc1 Qt version: 5.11.3 Coin version: 4.0.0a OCC version: 7.3.0 Locale: English/UnitedStates (en_US) => OS: Debian GNU/Linux 10 (buster) Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.18. Build type: Release Python version: 2.7.16rc1 Qt version: 5.11.3 Coin version: 4.0.0a OCC version: 7.3.0 Locale: English/UnitedStates (en_US)
2019-12-10 12:09 wandererfan Assigned To => wandererfan
2019-12-10 12:09 wandererfan Status resolved => closed
2019-12-10 12:09 wandererfan Note Added: 0013894
2019-12-11 11:55 Kunda1 Note Added: 0013900
2019-12-11 11:56 Kunda1 Changeset attached => FreeCAD master 85ba4102
2019-12-11 11:57 Kunda1 Note Edited: 0013900 View Revisions